"use strict";
this.name				= "market_tweak.js";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for selecting market preset";
this.version				= "3.7";

this.startUp = function()
{
	//log(this.name, "this OXP initialising!");
}

this.shipExitedWitchspace = function()                      // Welcome to system!

    {
    if (system.isInterstellarSpace) return;                 // oops... we have a problem with navigation

    var industry_adjust = (25000 + system.productivity) / 50000; // production of industrial goods vs GNP scaling
    var agro_adjust = (10000 + system.productivity) / 25000; // production of agro goods vs GNP scaling
    var goods_store;

	if((system.techLevel + 2 * system.government) > 12)     // illegal goods prohibited in (tech OR social) advanced worlds
        {
        system.mainStation.setMarketQuantity("slaves", 0);
        system.mainStation.setMarketQuantity("narcotics", 0);
        system.mainStation.setMarketQuantity("firearms", 0); 
        }
        
	if(system.economy > 4)                                  // items unavailable in agrarian worlds    
        {
        system.mainStation.setMarketQuantity("computers", 0);
        system.mainStation.setMarketQuantity("machinery", 0);
        system.mainStation.setMarketQuantity("alloys", 0);        
        }

	if(system.economy < 3)  // items unavailable in industrial worlds
        {
        system.mainStation.setMarketQuantity("food", 0);
        system.mainStation.setMarketQuantity("textiles", 0);               
        system.mainStation.setMarketQuantity("liquor_wines", 0);
        system.mainStation.setMarketQuantity("furs", 0);
        }

    if(system.techLevel < 4 && system.mainPlanet.radius < 54250)    // too harsh conditions to produce by archaic methods
        {
        system.mainStation.setMarketQuantity("food", 0);
        system.mainStation.setMarketQuantity("textiles", 0);               
        system.mainStation.setMarketQuantity("liquor_wines", 0);
        system.mainStation.setMarketQuantity("furs", 0);        
        }

	if((system.economy > 2) && (system.techLevel > 3))      // items available only in archaic tech OR industrial worlds    
        {
        system.mainStation.setMarketQuantity("minerals", 0);
        system.mainStation.setMarketQuantity("radioactives", 0);        
        }

    if(system.techLevel < 7)                               // items unavailable below median tech limit
        {
        system.mainStation.setMarketQuantity("computers", 0);
        system.mainStation.setMarketQuantity("medicine", 0);
        system.mainStation.setMarketQuantity("luxuries", 0);                
        }
    else
        {
        goods_store = Math.floor(system.mainStation.market.computers.quantity * industry_adjust);
        system.mainStation.setMarketQuantity("computers", goods_store);
        goods_store = Math.floor(system.mainStation.market.medicine.quantity * agro_adjust);
        system.mainStation.setMarketQuantity("medicine", goods_store);
        goods_store = Math.floor(system.mainStation.market.luxuries.quantity * industry_adjust);
        system.mainStation.setMarketQuantity("luxuries", goods_store);
        }
 
    if(system.techLevel < 4)                                // items unavailable in archaic tech worlds
        {
        system.mainStation.setMarketQuantity("machinery", 0);
        system.mainStation.setMarketQuantity("alloys", 0);
        system.mainStation.setMarketQuantity("oxygen", 0);
        }        
    else
        {
        goods_store = Math.floor(system.mainStation.market.machinery.quantity * industry_adjust);
        system.mainStation.setMarketQuantity("machinery", goods_store);        
        goods_store = Math.floor(system.mainStation.market.alloys.quantity * industry_adjust);
        system.mainStation.setMarketQuantity("alloys", goods_store);
        goods_store = Math.floor(system.mainStation.market.oxygen.quantity * industry_adjust);
        system.mainStation.setMarketQuantity("oxygen", goods_store);
        }
                                                        // low tech production, but needs some investments 
    goods_store = Math.floor(system.mainStation.market.liquor_wines.quantity * agro_adjust);
    system.mainStation.setMarketQuantity("liquor_wines", goods_store);
    goods_store = Math.floor(system.mainStation.market.furs.quantity * agro_adjust);
    system.mainStation.setMarketQuantity("furs", goods_store);   

    }
 